
if exists (select * from dbo.sysobjects where id = object_id(N'groupAssign') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table groupAssign
GO

--创建用户组权限表
CREATE TABLE groupAssign
(
	pkId int IDENTITY(1,1) NOT NULL,
	groupId int NULL,
	menuId int NULL,
	privilegeSet varchar(1000) NULL
) ON [PRIMARY]

GO

if exists (select * from dbo.sysobjects where id = object_id(N'bigClassDesign') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table bigClassDesign
GO
--创建栏目布局参数表
CREATE TABLE bigClassDesign
(
	[pkId] [int] IDENTITY(1,1) NOT NULL,
	[menuId] [int] NOT NULL,
	[cssname] [varchar](100) NULL,
	[isFlag] [int] NOT NULL  DEFAULT ((0)),
	[imageFlag] [varchar](100) NULL,
	[isNew] [int] NOT NULL  DEFAULT ((0)),
	[imageNew] [varchar](100) NULL,
	[isHot] [int] NOT NULL  DEFAULT ((0)),
	[imageHot] [varchar](100) NULL,
	[isTop] [int] NOT NULL  DEFAULT ((0)),
	[imageTop] [varchar](100) NULL,
	[isMore] [int] NOT NULL  DEFAULT ((1)),
	[imageMore] [varchar](100) NULL,
	[isDept] [int] NOT NULL  DEFAULT ((0)),
	[isClick] [int] NOT NULL  DEFAULT ((0)),
	[isTime] [int] NOT NULL DEFAULT ((0))

) ON [PRIMARY]

GO

if exists (select * from dbo.sysobjects where id = object_id(N'sitePara') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table sitePara
GO

CREATE TABLE sitePara(
	[pkId] [int] IDENTITY(1,1) NOT NULL,
	[ptype] [varchar](20) COLLATE Chinese_PRC_CI_AS NOT NULL,
	[pcode] [varchar](20) COLLATE Chinese_PRC_CI_AS NOT NULL,
	[pvalue] [varchar](100) COLLATE Chinese_PRC_CI_AS NOT NULL,
	[pseq] [int] NOT NULL,
	[pnote] [varchar](100) COLLATE Chinese_PRC_CI_AS NULL,
	 CONSTRAINT [PK_sitePara] PRIMARY KEY CLUSTERED 
	(
		[pkId] ASC
	) ON [PRIMARY],
	UNIQUE NONCLUSTERED 
	(
		[pcode] ASC
	) ON [PRIMARY]
) ON [PRIMARY]
GO